Grant credits to a customer credit ledger
This endpoint is used to grant credits to a customer. Submit the credit amount and customer ID in the request body to grant the credits. The granted credits will be added to the customer's account.
Authorization
BearerAuthorizer In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
The amount of credits to be granted to the user.
The ID of the customer to whom the credits will be granted.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/credits/grant" \ -H "Content-Type: application/json" \ -d '{ "creditAmount": 0, "customerId": "string" }'{ "type": "invalid_request_error", "code": "string", "message": "string", "param": "string", "params": [ { "param": "string", "message": "string" } ]}{ "type": "authentication_error", "code": "authentication_failed", "message": "string"}{ "type": "rate_limit_error", "code": "rate_limit_exceeded", "message": "string"}{ "type": "api_error", "code": "internal_error", "message": "string"}Retrieve credit ledger entries for customer. GET
This endpoint is used to retrieve the credit ledger entries for a specific customer.
Deduct credits from customer credit ledger POST
This endpoint is used to deduct credits from the specified customer account. Submit the credit amount and customer ID in the request body to deduct the credits. The deducted credits will be subtracted from the customer's account.

